module cartop_test();

	reg clk;
	reg rst;
	reg echoFL;
	reg echoL;
	reg echoR;
	reg echoFR;
	reg start;
	reg stop;
	wire trigFL;
	wire trigL;
	wire trigR;
	wire trigFR;
	wire pwA1;
	wire pwA2;
	wire pwB1;
	wire pwB2;
	wire pwC1;
	wire pwC2;
	wire pwD1;
	wire pwD2;

	//----Code starts here: integrated by Robei-----
	initial begin
	    clk <= 0;
	    rst <= 0;
	start<=1;
	stop<=0;
	   echoFL<= 0;
	    echoL<=0;
	echoR<=0;
	echoFR<=0;
	    #20
	    rst <= 1;
	    #2000
	   echoFL <= 1;
	echoL<=1;
	echoR<=1;
	echoFR<=1;
	    #30000
	      echoFL<= 0;
	    echoL<=0;
	echoR<=0;
	echoFR<=0;
	    $finish;
	end
	
	
	always #10 clk <= ~clk;
	
	
	
	initial begin
		$dumpfile ("C:/Users/86150/Desktop/robeiall/CARALL/cartop/cartop_test.vcd");
		$dumpvars;
	end
	//---Module instantiation---
	cartop cartop1(
		.clk(clk),
		.rst(rst),
		.echoFL(echoFL),
		.echoL(echoL),
		.echoR(echoR),
		.echoFR(echoFR),
		.start(start),
		.stop(stop),
		.trigFL(trigFL),
		.trigL(trigL),
		.trigR(trigR),
		.trigFR(trigFR),
		.pwA1(pwA1),
		.pwA2(pwA2),
		.pwB1(pwB1),
		.pwB2(pwB2),
		.pwC1(pwC1),
		.pwC2(pwC2),
		.pwD1(pwD1),
		.pwD2(pwD2));

endmodule    //cartop_test

