module HC_SR04_test();

	reg sys_clk;
	reg sys_rst_n;
	reg i_echo;
	wire o_trig;
	wire [13:0] o_s_mm;

	//----Code starts here: integrated by Robei-----
	initial begin
	    sys_clk <= 0;
	    sys_rst_n <= 0;
	    i_echo <= 0;
	    #20
	    sys_rst_n <= 1;
	    #2000
	    i_echo <= 1;
	    #30000
	    i_echo <= 0;
	    $finish;
	end
	
	
	always #10 sys_clk <= ~sys_clk;
	
	
	
	initial begin
		$dumpfile ("C:/Users/86150/Desktop/robeiall/HC_SR04/HC_SR04_test.vcd");
		$dumpvars;
	end
	//---Module instantiation---
	HC_SR04_top HC_SR04_top1(
		.sys_clk(sys_clk),
		.sys_rst_n(sys_rst_n),
		.i_echo(i_echo),
		.o_trig(o_trig),
		.o_s_mm(o_s_mm));

endmodule    //HC_SR04_test

