module picture_size_tb();

	reg rst_n;
	reg clk;
	reg [15:0] ID_lcd;
	wire [12:0] cmos_h_pixel;
	wire [12:0] cmos_v_pixel;
	wire [12:0] total_h_pixel;
	wire [12:0] total_v_pixel;
	wire [23:0] sdram_max_addr;

	//----Code starts here: integrated by Robei-----
	initial begin
	clk=0;
	rst_n=0;
	ID_lcd=16'h4342;
	#10 rst_n=1;
	
	#200 $finish;
	
	end
	always#1 clk=~clk;
	
	
	initial begin
		$dumpfile ("C:/Users/lenovo/Desktop/Robei_examples/toptop/picture_size/picture_size_tb.vcd");
		$dumpvars;
	end
	//---Module instantiation---
	picture_size #(   16'h4342,   16'h7084,   16'h7016,   16'h1018) picture_size1(
		.rst_n(rst_n),
		.clk(clk),
		.ID_lcd(ID_lcd),
		.cmos_h_pixel(cmos_h_pixel),
		.cmos_v_pixel(cmos_v_pixel),
		.total_h_pixel(total_h_pixel),
		.total_v_pixel(total_v_pixel),
		.sdram_max_addr(sdram_max_addr));

endmodule    //picture_size_tb

