module top_digital_recognition_tb();

	reg sys_clk;
	reg sys_rst_n;
	reg cam_pclk;
	reg cam_vsync;
	reg cam_href;
	reg [7:0] cam_data;
	wire cam_rst_n;
	wire cam_pwdn;
	wire cam_scl;
	wire [13:0] ddr3_addr;
	wire [2:0] ddr3_ba;
	wire ddr3_ras_n;
	wire ddr3_cas_n;
	wire ddr3_we_n;
	wire ddr3_reset_n;
	wire ddr3_ck_p;
	wire ddr3_ck_n;
	wire ddr3_cke;
	wire ddr3_cs_n;
	wire [1:0] ddr3_dm;
	wire ddr3_odt;
	wire lcd_hs;
	wire lcd_vs;
	wire lcd_de;
	wire lcd_bl;
	wire lcd_rst;
	wire lcd_pclk;
	wire [3:0] digital_out;
	wire [5:0] seg_sel;
	wire [7:0] seg_led;
	wire cam_sda;
	wire [15:0] ddr3_dq;
	wire [1:0] ddr3_dqs_n;
	wire [1:0] ddr3_dqs_p;
	wire [23:0] lcd_rgb;

	//----Code starts here: integrated by Robei-----
	initial begin
	
	sys_clk =0;   
	sys_rst_n  =1;
	           
	cam_pclk   =0;
	cam_vsync  =1;
	cam_href   =0;
	cam_data   =8'd100;
	#300 $finish;
	end
	always sys_clk=~sys_clk;
	initial begin
		$dumpfile ("C:/Users/lenovo/Desktop/jiqiren/robeiall/top/top_digital_recognition/top_digital_recognition/top_digital_recognition_tb.vcd");
		$dumpvars;
	end
	//---Module instantiation---
	top_digital_recognition top_digital_recognition1(
		.sys_clk(sys_clk),
		.sys_rst_n(sys_rst_n),
		.cam_pclk(cam_pclk),
		.cam_vsync(cam_vsync),
		.cam_href(cam_href),
		.cam_data(cam_data),
		.cam_rst_n(cam_rst_n),
		.cam_pwdn(cam_pwdn),
		.cam_scl(cam_scl),
		.ddr3_addr(ddr3_addr),
		.ddr3_ba(ddr3_ba),
		.ddr3_ras_n(ddr3_ras_n),
		.ddr3_cas_n(ddr3_cas_n),
		.ddr3_we_n(ddr3_we_n),
		.ddr3_reset_n(ddr3_reset_n),
		.ddr3_ck_p(ddr3_ck_p),
		.ddr3_ck_n(ddr3_ck_n),
		.ddr3_cke(ddr3_cke),
		.ddr3_cs_n(ddr3_cs_n),
		.ddr3_dm(ddr3_dm),
		.ddr3_odt(ddr3_odt),
		.lcd_hs(lcd_hs),
		.lcd_vs(lcd_vs),
		.lcd_de(lcd_de),
		.lcd_bl(lcd_bl),
		.lcd_rst(lcd_rst),
		.lcd_pclk(lcd_pclk),
		.digital_out(digital_out),
		.seg_sel(seg_sel),
		.seg_led(seg_led),
		.cam_sda(cam_sda),
		.ddr3_dq(ddr3_dq),
		.ddr3_dqs_n(ddr3_dqs_n),
		.ddr3_dqs_p(ddr3_dqs_p),
		.lcd_rgb(lcd_rgb));

endmodule    //top_digital_recognition_tb

